<?php

namespace App\Http\Controllers;
use App\Models\bewertungen;
use Illuminate\Routing\Controller as BaseController;
use App\Models\Gerichte;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;


class MainController extends BaseController
{
    public function index() {
        /*
           Wenn Sie hier landen:
           bearbeiten Sie diese Action,
           so dass Sie die Aufgabe löst
        */


        $gericht = new Gerichte();
        $data = $gericht->db_gericht_select_karte();

        return view('main.index', [
            'data'=>$data,
            'url' => 'http' . (isset($_SERVER['HTTPS']) ? 's' : '') . '://' . "{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}"
        ]);
    }

    public function bewertung(Request $rd) {
        /*
           Wenn Sie hier landen:
           bearbeiten Sie diese Action,
           so dass Sie die Aufgabe löst
        */

        if(session("start",0)== 0){
            session(["bewertung" => 1]);
            return view('m5_a1.anmeldung', [
                'url' => 'http' . (isset($_SERVER['HTTPS']) ? 's' : '') . '://' . "{$_SERVER['HTTP_HOST']}"
            ]);
        }

        if($rd->isMethod("get")){
            $data = $rd;

            $gericht = new Gerichte();
            $g = $gericht->db_gericht_bewertung($data["gerichtid"]);

            return view('main.bewertung', [
                "gericht" => $g,
                "data" => $data,
                'url' => 'http' . (isset($_SERVER['HTTPS']) ? 's' : '') . '://' . "{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}"
            ]);
        }


        return view('main.bewertung', [
            'url' => 'http' . (isset($_SERVER['HTTPS']) ? 's' : '') . '://' . "{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}"
        ]);
    }


    public function bewertung_abschicken(Request $rd) {
        if($rd->isMethod("post")){
            $data = $rd;}

        $id = $data["gericht_id"] ?? NULL;
        $sterne = $data["sterne"] ?? NULL;
        $bemerkung = $data["bemerkung"] ?? NULL;
        $benutzer = session("benutzer_id",0);


        $b = new bewertungen();
        $check = $b->bewerten($benutzer,$id,$sterne, $bemerkung);

        return view('main.bewertung', [
            'url' => 'http' . (isset($_SERVER['HTTPS']) ? 's' : '') . '://' . "{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}"
        ]);
    }

}
